reset
set terminal postscript eps enhanced color font "Palatino, 12" size 4.5,3.0
set output "scga.eps"
#set terminal pngcairo dashed font "Palatino,10" size 1280,720 
#set output "scga.png"       
set size 1.0,1.0
set multiplot layout 2,2
set border linewidth 1
#set yrange [1.4:2.2]
set yrange [3.2:4.4]
set format y "%5.1f"
set grid xtics ytics lw 1 lc rgb "gray"
#set key box linestyle -1
set key width 2
set key Left
set key bottom
set key reverse
set ylabel "Fitness" offset 2.5,0
set xlabel "Evaluations" offset 0,0
set style line 1 lt -1 lw 1 ps 1 pt 9 pi 4 lc rgb "red"
set style line 2 lt -1 lw 1 ps 1 pt 7 pi 4 lc rgb "blue"
set style line 3 lt -1 lw 1 ps 1 pt 5 pi 4 lc rgb "black"
set style line 4 lt -1 lw 1 ps 1 pt 13 pi 4 lc rgb "green"
set style line 5 lt -1 lw 1 ps 1 pt 78 pi 4 lc rgb "orange"
#set style line 1 lt 1 lw 1 ps 1 pt 4 pi 5 lc rgb "black"
#set style line 2 lt 1 lw 1 ps 1 pt 8 pi 5 lc rgb "black"
#set style line 3 lt 1 lw 1 ps 1 pt 12 pi 5 lc rgb "black"
#set style line 4 lt 1 lw 1 ps 1 pt 6 pi 5 lc rgb "black"
#set style line 5 lt 2 lw 1 ps 1 pt 4 pi 5 lc rgb "black"
#set style line 6 lt 2 lw 1 ps 1 pt 8 pi 5 lc rgb "black"
#set style line 7 lt 2 lw 1 ps 1 pt 12 pi 5 lc rgb "black"
#set style line 8 lt 2 lw 1 ps 1 pt 6 pi 5 lc rgb "black"
set size 0.5,0.5

set title "N=20  K=2  C=2  S=6" offset 0,-0.5
plot "scga-b/k2c2.dat" using 1:2 title " SCGA-b" w lp ls 1, \
"scga-a/k2c2.dat" using 1:2 title " SCGA-a" w lp ls 2, \
"scga-p/k2c2.dat" using 1:2 title " SCGA-p" w lp ls 3, \
"scga-bw/k2c2.dat" using 1:2 title " SCGA-bw" w lp ls 5, \
"cga-b/k2c2.dat" using 1:2 title " CGA-b" w lp ls 4

set title "N=20  K=6  C=2  S=6" offset 0,-0.5
plot "scga-b/k6c2.dat" using 1:2 title " SCGA-b" w lp ls 1, \
"scga-a/k6c2.dat" using 1:2 title " SCGA-a" w lp ls 2, \
"scga-p/k6c2.dat" using 1:2 title " SCGA-p" w lp ls 3, \
"scga-bw/k6c2.dat" using 1:2 title " SCGA-bw" w lp ls 5, \
"cga-b/k6c2.dat" using 1:2 title " CGA-b" w lp ls 4

set title "N=20  K=2  C=8  S=6" offset 0,-0.5
plot "scga-b/k2c8.dat" using 1:2 title " SCGA-b" w lp ls 1, \
"scga-a/k2c8.dat" using 1:2 title " SCGA-a" w lp ls 2, \
"scga-p/k2c8.dat" using 1:2 title " SCGA-p" w lp ls 3, \
"scga-bw/k2c8.dat" using 1:2 title " SCGA-bw" w lp ls 5, \
"cga-b/k2c8.dat" using 1:2 title " CGA-b" w lp ls 4

set title "N=20  K=6  C=8  S=6" offset 0,-0.5
plot "scga-b/k6c8.dat" using 1:2 title " SCGA-b" w lp ls 1, \
"scga-a/k6c8.dat" using 1:2 title " SCGA-a" w lp ls 2, \
"scga-p/k6c8.dat" using 1:2 title " SCGA-p" w lp ls 3, \
"scga-bw/k6c8.dat" using 1:2 title " SCGA-bw" w lp ls 5, \
"cga-b/k6c8.dat" using 1:2 title " CGA-b" w lp ls 4
